Name:           gigolo
Version:        0.2.1
Release:        1%{?dist}
Summary:        GIO/GVFS management application

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://goodies.xfce.org/projects/applications/gigolo/
Source0:        http://goodies.xfce.org/releases/gigolo/gigolo-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils

Requires: %{_bindir}/gvfs-open
Requires: %{_bindir}/fusermount

Obsoletes: sion < 0.1.0-3

%description
A frontend to easily manage connections to remote filesystems using GIO/GVFS. 
It allows you to quickly connect/mount a remote filesystem and manage
bookmarks of such. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
./waf configure --prefix=%{_prefix} \
              --exec-prefix=%{_exec_prefix} \
              --bindir=%{_bindir} \
              --sbindir=%{_sbindir} \
              --sysconfdir=%{_sysconfdir} \
              --datadir=%{_datadir} \
              --includedir=%{_includedir} \
              --libdir=%{_libdir} \
              --libexecdir=%{_libexecdir} \
              --localstatedir=%{_localstatedir} \
              --sharedstatedir=%{_sharedstatedir} \
              --mandir=%{_mandir} --infodir=%{_infodir} --enable-debug

./waf build -v

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT ./waf install 

# remove docs that waf installs in the wrong place
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/gigolo

rm -f $RPM_BUILD_ROOT/%{_datadir}/applications/gigolo.desktop

desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      _build_/default/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README README.I18N TODO THANKS
%{_bindir}/gigolo
%{_datadir}/applications/gigolo.desktop
%{_mandir}/man1/gigolo.1.gz

%changelog
* Sun Feb 22 2009 Kevin Fenzi <kevin@tummy.com> - 0.2.1-1
- Update to 0.2.1
- Add THANKS
- Fix waf configure line and use local waf.

* Sun Feb 15 2009 Kevin Fenzi <kevin@tummy.com> - 0.2.0-2
- Fix CFLAGS
- Fix build to be verbose
- Use Fedora waf
- Remove vendor

* Sun Feb 15 2009 Kevin Fenzi <kevin@tummy.com> - 0.2.0-1
- Change name to gigolo
- Update to 0.2.0

* Sun Jan 04 2009 Kevin Fenzi <kevin@tummy.com> - 0.1.0-2
- Fix License tag
- Add Requires for needed binaries

* Fri Jan 02 2009 Kevin Fenzi <kevin@tummy.com> - 0.1.0-1
- Initial version for Fedora
